using System;
using System.Runtime.InteropServices;
using System.ComponentModel;
using System.Windows.Forms;
 
namespace OutlookMainMenu
{
    /// <summary>
    ///   Add-in Express Add-in Module
    /// </summary>
    [GuidAttribute("7B4961C4-FA85-48D0-AD32-2093E1FFD193"), ProgId("OutlookMainMenu.AddinModule"), RunInstaller(true)]
    public class AddinModule : AddinExpress.MSO.ADXAddinModule
    {
        public AddinModule(System.ComponentModel.IContainer container)
        {
            // This call is required by the Component Designer
            container.Add(this);
            InitializeComponent();
 
            // TODO: Add any initialization after the InitializeComponent call
        }
		private AddinExpress.MSO.ADXOlInspectorCommandBar adxOlInspectorCommandBar1;
		private AddinExpress.MSO.ADXCommandBarButton adxCommandBarButton1;
		private AddinExpress.MSO.ADXOlExplorerCommandBar adxOlExplorerCommandBar1;
		private AddinExpress.MSO.ADXCommandBarPopup adxCommandBarPopup1;
		private AddinExpress.MSO.ADXCommandBarButton adxCommandBarButton2;
		private AddinExpress.MSO.ADXCommandBarButton adxCommandBarButton3;
		private AddinExpress.MSO.ADXCommandBarButton adxCommandBarButton4;
		private AddinExpress.MSO.ADXOlExplorerCommandBar adxOlExplorerCommandBar2;
		private AddinExpress.MSO.ADXCommandBarButton adxCommandBarButton5;
		private AddinExpress.MSO.ADXCommandBarPopup adxCommandBarPopup3;
		private AddinExpress.MSO.ADXCommandBarButton adxCommandBarButton6;
		private AddinExpress.MSO.ADXCommandBarButton adxCommandBarButton7;
		private AddinExpress.MSO.ADXCommandBarButton adxCommandBarButton8;
		private AddinExpress.MSO.ADXOlInspectorCommandBar adxOlInspectorCommandBar2;
		private AddinExpress.MSO.ADXCommandBarButton adxCommandBarButton9;
		private AddinExpress.MSO.ADXCommandBarPopup adxCommandBarPopup4;
		private AddinExpress.MSO.ADXCommandBarButton adxCommandBarButton10;
		private AddinExpress.MSO.ADXCommandBarButton adxCommandBarButton11;
		private AddinExpress.MSO.ADXCommandBarButton adxCommandBarButton12;
		private AddinExpress.MSO.ADXCommandBarPopup adxCommandBarPopup2;
 
        public AddinModule()
        {
            InitializeComponent();
        }
 
        // Add-in Module Implementation
 
        #region Component Designer generated code
        /// <summary>
        /// Required by designer
        /// </summary>
        private System.ComponentModel.IContainer components;
 
        /// <summary>
        /// Required by designer support - do not modify
        /// the following method
        /// </summary>
        private void InitializeComponent()
        {
            this.components = new System.ComponentModel.Container();
            this.adxOlInspectorCommandBar1 = new AddinExpress.MSO.ADXOlInspectorCommandBar(this.components);
            this.adxCommandBarPopup2 = new AddinExpress.MSO.ADXCommandBarPopup(this.components);
            this.adxCommandBarButton1 = new AddinExpress.MSO.ADXCommandBarButton(this.components);
            this.adxOlExplorerCommandBar1 = new AddinExpress.MSO.ADXOlExplorerCommandBar(this.components);
            this.adxCommandBarPopup1 = new AddinExpress.MSO.ADXCommandBarPopup(this.components);
            this.adxCommandBarButton2 = new AddinExpress.MSO.ADXCommandBarButton(this.components);
            this.adxCommandBarButton3 = new AddinExpress.MSO.ADXCommandBarButton(this.components);
            this.adxCommandBarButton4 = new AddinExpress.MSO.ADXCommandBarButton(this.components);
            this.adxOlExplorerCommandBar2 = new AddinExpress.MSO.ADXOlExplorerCommandBar(this.components);
            this.adxCommandBarButton5 = new AddinExpress.MSO.ADXCommandBarButton(this.components);
            this.adxCommandBarPopup3 = new AddinExpress.MSO.ADXCommandBarPopup(this.components);
            this.adxCommandBarButton6 = new AddinExpress.MSO.ADXCommandBarButton(this.components);
            this.adxCommandBarButton7 = new AddinExpress.MSO.ADXCommandBarButton(this.components);
            this.adxCommandBarButton8 = new AddinExpress.MSO.ADXCommandBarButton(this.components);
            this.adxOlInspectorCommandBar2 = new AddinExpress.MSO.ADXOlInspectorCommandBar(this.components);
            this.adxCommandBarButton9 = new AddinExpress.MSO.ADXCommandBarButton(this.components);
            this.adxCommandBarPopup4 = new AddinExpress.MSO.ADXCommandBarPopup(this.components);
            this.adxCommandBarButton10 = new AddinExpress.MSO.ADXCommandBarButton(this.components);
            this.adxCommandBarButton11 = new AddinExpress.MSO.ADXCommandBarButton(this.components);
            this.adxCommandBarButton12 = new AddinExpress.MSO.ADXCommandBarButton(this.components);
            // 
            // adxOlInspectorCommandBar1
            // 
            this.adxOlInspectorCommandBar1.CommandBarName = "Standard";
            this.adxOlInspectorCommandBar1.CommandBarTag = "9108b883-abb7-45c6-862e-46d7c5ff8993";
            this.adxOlInspectorCommandBar1.Controls.Add(this.adxCommandBarPopup2);
            this.adxOlInspectorCommandBar1.Temporary = true;
            this.adxOlInspectorCommandBar1.UpdateCounter = 5;
            // 
            // adxCommandBarPopup2
            // 
            this.adxCommandBarPopup2.Caption = "My Popup";
            this.adxCommandBarPopup2.Controls.Add(this.adxCommandBarButton1);
            this.adxCommandBarPopup2.ControlTag = "0b7e7036-cad1-4a07-a1a3-b1afb36a61e3";
            this.adxCommandBarPopup2.Temporary = true;
            this.adxCommandBarPopup2.UpdateCounter = 5;
            // 
            // adxCommandBarButton1
            // 
            this.adxCommandBarButton1.Caption = "My Button";
            this.adxCommandBarButton1.ControlTag = "822e72ef-5937-435b-9779-7da6d7646379";
            this.adxCommandBarButton1.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxCommandBarButton1.Temporary = true;
            this.adxCommandBarButton1.UpdateCounter = 4;
            this.adxCommandBarButton1.Click += new AddinExpress.MSO.ADXClick_EventHandler(this.adxCommandBarButton1_Click);
            // 
            // adxOlExplorerCommandBar1
            // 
            this.adxOlExplorerCommandBar1.CommandBarName = "Menu Bar";
            this.adxOlExplorerCommandBar1.CommandBarTag = "fc3371f6-4c99-40b6-ae4c-5146ab6f0b0d";
            this.adxOlExplorerCommandBar1.Controls.Add(this.adxCommandBarPopup1);
            this.adxOlExplorerCommandBar1.Temporary = true;
            this.adxOlExplorerCommandBar1.UpdateCounter = 6;
            // 
            // adxCommandBarPopup1
            // 
            this.adxCommandBarPopup1.Caption = "My Menu";
            this.adxCommandBarPopup1.Controls.Add(this.adxCommandBarButton2);
            this.adxCommandBarPopup1.Controls.Add(this.adxCommandBarButton3);
            this.adxCommandBarPopup1.Controls.Add(this.adxCommandBarButton4);
            this.adxCommandBarPopup1.ControlTag = "d09aa28e-a230-486d-86ff-492dd86c0e2d";
            this.adxCommandBarPopup1.Temporary = true;
            this.adxCommandBarPopup1.UpdateCounter = 1;
            // 
            // adxCommandBarButton2
            // 
            this.adxCommandBarButton2.Caption = "Item 1";
            this.adxCommandBarButton2.ControlTag = "25d62af6-3a60-4340-949f-9a8bc12557d7";
            this.adxCommandBarButton2.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxCommandBarButton2.Temporary = true;
            this.adxCommandBarButton2.UpdateCounter = 2;
            this.adxCommandBarButton2.Click += new AddinExpress.MSO.ADXClick_EventHandler(this.adxCommandBarButton1_Click);
            // 
            // adxCommandBarButton3
            // 
            this.adxCommandBarButton3.Caption = "Item 2";
            this.adxCommandBarButton3.ControlTag = "16e1d57e-f7a0-4995-9b7f-0db18695cd48";
            this.adxCommandBarButton3.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxCommandBarButton3.Temporary = true;
            this.adxCommandBarButton3.UpdateCounter = 2;
            this.adxCommandBarButton3.Click += new AddinExpress.MSO.ADXClick_EventHandler(this.adxCommandBarButton1_Click);
            // 
            // adxCommandBarButton4
            // 
            this.adxCommandBarButton4.Caption = "Item 3";
            this.adxCommandBarButton4.ControlTag = "1d6d2f8b-166c-4e0b-a10f-759659399144";
            this.adxCommandBarButton4.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxCommandBarButton4.Temporary = true;
            this.adxCommandBarButton4.UpdateCounter = 2;
            this.adxCommandBarButton4.Click += new AddinExpress.MSO.ADXClick_EventHandler(this.adxCommandBarButton1_Click);
            // 
            // adxOlExplorerCommandBar2
            // 
            this.adxOlExplorerCommandBar2.CommandBarName = "My Explorer Bar";
            this.adxOlExplorerCommandBar2.CommandBarTag = "136b8813-af22-462c-89cc-d66355edba4f";
            this.adxOlExplorerCommandBar2.Controls.Add(this.adxCommandBarButton5);
            this.adxOlExplorerCommandBar2.Controls.Add(this.adxCommandBarPopup3);
            this.adxOlExplorerCommandBar2.Position = AddinExpress.MSO.ADXMsoBarPosition.adxMsoBarTop;
            this.adxOlExplorerCommandBar2.Temporary = true;
            this.adxOlExplorerCommandBar2.UpdateCounter = 5;
            // 
            // adxCommandBarButton5
            // 
            this.adxCommandBarButton5.Caption = "Button";
            this.adxCommandBarButton5.ControlTag = "c6167d71-47ee-44df-845e-57df6bb885dc";
            this.adxCommandBarButton5.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxCommandBarButton5.Temporary = true;
            this.adxCommandBarButton5.UpdateCounter = 1;
            // 
            // adxCommandBarPopup3
            // 
            this.adxCommandBarPopup3.Caption = "Popup";
            this.adxCommandBarPopup3.Controls.Add(this.adxCommandBarButton6);
            this.adxCommandBarPopup3.Controls.Add(this.adxCommandBarButton7);
            this.adxCommandBarPopup3.Controls.Add(this.adxCommandBarButton8);
            this.adxCommandBarPopup3.ControlTag = "b30a1dd2-120e-46fb-a0e0-082dcdbb6525";
            this.adxCommandBarPopup3.Temporary = true;
            this.adxCommandBarPopup3.UpdateCounter = 1;
            // 
            // adxCommandBarButton6
            // 
            this.adxCommandBarButton6.Caption = "Item 1";
            this.adxCommandBarButton6.ControlTag = "15aadf3a-104d-4530-8c3c-e2f8120d41a0";
            this.adxCommandBarButton6.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxCommandBarButton6.Temporary = true;
            this.adxCommandBarButton6.UpdateCounter = 1;
            // 
            // adxCommandBarButton7
            // 
            this.adxCommandBarButton7.Caption = "Item 2";
            this.adxCommandBarButton7.ControlTag = "f33c635b-038a-42f6-ba3b-7c1dfebad4ef";
            this.adxCommandBarButton7.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxCommandBarButton7.Temporary = true;
            this.adxCommandBarButton7.UpdateCounter = 1;
            // 
            // adxCommandBarButton8
            // 
            this.adxCommandBarButton8.Caption = "Item 3";
            this.adxCommandBarButton8.ControlTag = "4b66699b-27e0-4b7d-a931-a1d5419e93a6";
            this.adxCommandBarButton8.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxCommandBarButton8.Temporary = true;
            this.adxCommandBarButton8.UpdateCounter = 1;
            // 
            // adxOlInspectorCommandBar2
            // 
            this.adxOlInspectorCommandBar2.CommandBarName = "My Inspector Bar";
            this.adxOlInspectorCommandBar2.CommandBarTag = "a0c44a39-9a75-43d7-89c7-76142abdc8c6";
            this.adxOlInspectorCommandBar2.Controls.Add(this.adxCommandBarButton9);
            this.adxOlInspectorCommandBar2.Controls.Add(this.adxCommandBarPopup4);
            this.adxOlInspectorCommandBar2.Position = AddinExpress.MSO.ADXMsoBarPosition.adxMsoBarTop;
            this.adxOlInspectorCommandBar2.Temporary = true;
            this.adxOlInspectorCommandBar2.UpdateCounter = 5;
            // 
            // adxCommandBarButton9
            // 
            this.adxCommandBarButton9.Caption = "Button";
            this.adxCommandBarButton9.ControlTag = "c6355c83-cd9d-4447-9c74-e132ac4ac96c";
            this.adxCommandBarButton9.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxCommandBarButton9.Temporary = true;
            this.adxCommandBarButton9.UpdateCounter = 1;
            // 
            // adxCommandBarPopup4
            // 
            this.adxCommandBarPopup4.Caption = "Popup";
            this.adxCommandBarPopup4.Controls.Add(this.adxCommandBarButton10);
            this.adxCommandBarPopup4.Controls.Add(this.adxCommandBarButton11);
            this.adxCommandBarPopup4.Controls.Add(this.adxCommandBarButton12);
            this.adxCommandBarPopup4.ControlTag = "868429fb-4f95-49c9-a0ee-d244ee92e677";
            this.adxCommandBarPopup4.Temporary = true;
            this.adxCommandBarPopup4.UpdateCounter = 1;
            // 
            // adxCommandBarButton10
            // 
            this.adxCommandBarButton10.Caption = "Item 1";
            this.adxCommandBarButton10.ControlTag = "e2090fc2-3abf-4e9c-9dd5-892754a15352";
            this.adxCommandBarButton10.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxCommandBarButton10.Temporary = true;
            this.adxCommandBarButton10.UpdateCounter = 2;
            // 
            // adxCommandBarButton11
            // 
            this.adxCommandBarButton11.Caption = "Item 2";
            this.adxCommandBarButton11.ControlTag = "9a8ba063-2c3c-4f85-8506-f436794f9009";
            this.adxCommandBarButton11.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxCommandBarButton11.Temporary = true;
            this.adxCommandBarButton11.UpdateCounter = 1;
            // 
            // adxCommandBarButton12
            // 
            this.adxCommandBarButton12.Caption = "Item 3";
            this.adxCommandBarButton12.ControlTag = "5507d279-5f3f-41dd-afbc-e69fa187a365";
            this.adxCommandBarButton12.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxCommandBarButton12.Temporary = true;
            this.adxCommandBarButton12.UpdateCounter = 1;
            // 
            // AddinModule
            // 
            this.AddinName = "OutlookMainMenu";
            this.SupportedApps = AddinExpress.MSO.ADXOfficeHostApp.ohaOutlook;

		}
        #endregion
 
        #region ADX automatic code
 
        // Required by Add-in Express - do not modify
        // the methods within this region
 
        public override System.ComponentModel.IContainer GetContainer()
        {
            if (components == null)
                components = new System.ComponentModel.Container();
            return components;
        }
 
        [ComRegisterFunctionAttribute]
        public static void AddinRegister(Type t)
        {
            AddinExpress.MSO.ADXAddinModule.ADXRegister(t);
        }
 
        [ComUnregisterFunctionAttribute]
        public static void AddinUnregister(Type t)
        {
            AddinExpress.MSO.ADXAddinModule.ADXUnregister(t);
        }
 
        public override void UninstallControls()
        {
            base.UninstallControls();
        }

        #endregion

		private void adxCommandBarButton1_Click(object sender)
		{
			MessageBox.Show("My action.");
		}

 
    }
}

